Customerfinancialdetail 4 endpoints

GET /companies({company_id})/customerFinancialDetails
operationId: CustomerFinancialDetail_getList

Parameters

Name In Required Type Description
company_id path required string

(v1.0) id for company

$top query optional integer

(v1.0) Number of items to return from the top of the list

$skip query optional integer

(v1.0) Number of items to skip from the list

$limit query optional integer

(v1.0) Number of items to return from the list

$filter query optional string

(v1.0) Filtering expression

$select query optional array

(v1.0) Selected properties to be retrieved

Responses

200

(v1.0) Succesfully returned a list of customerFinancialDetails

GET /companies({company_id})/customerFinancialDetails
GET /companies({company_id})/customerFinancialDetails({customerFinancialDetail_id})
operationId: CustomerFinancialDetail_getProperties

Parameters

Name In Required Type Description
company_id path required string

(v1.0) id for company

customerFinancialDetail_id path required string

(v1.0) id for customerFinancialDetail

$select query optional array

(v1.0) Selected properties to be retrieved

Responses

200

(v1.0) Succesfully returned the requested customerFinancialDetail

GET /companies({company_id})/customerFinancialDetails({customerFinancialDetail_id})
GET /companies({company_id})/customers({customer_id})/customerFinancialDetails
operationId: CustomerFinancialDetail_getList

Parameters

Name In Required Type Description
company_id path required string

(v1.0) id for company

customer_id path required string

(v1.0) id for customer

$top query optional integer

(v1.0) Number of items to return from the top of the list

$skip query optional integer

(v1.0) Number of items to skip from the list

$limit query optional integer

(v1.0) Number of items to return from the list

$filter query optional string

(v1.0) Filtering expression

$select query optional array

(v1.0) Selected properties to be retrieved

Responses

200

(v1.0) Succesfully returned a list of customerFinancialDetails

GET /companies({company_id})/customers({customer_id})/customerFinancialDetails
GET /companies({company_id})/customers({customer_id})/customerFinancialDetails({customerFinancialDetail_id})
operationId: CustomerFinancialDetail_getProperties

Parameters

Name In Required Type Description
company_id path required string

(v1.0) id for company

customer_id path required string

(v1.0) id for customer

customerFinancialDetail_id path required string

(v1.0) id for customerFinancialDetail

$select query optional array

(v1.0) Selected properties to be retrieved

Responses

200

(v1.0) Succesfully returned the requested customerFinancialDetail

GET /companies({company_id})/customers({customer_id})/customerFinancialDetails({customerFinancialDetail_id})

Customerpayment 10 endpoints

GET /companies({company_id})/customerPaymentJournals({customerPaymentJournal_id})/customerPayments
operationId: CustomerPayment_getList

Parameters

Name In Required Type Description
company_id path required string

(v1.0) id for company

customerPaymentJournal_id path required string

(v1.0) id for customerPaymentJournal

$top query optional integer

(v1.0) Number of items to return from the top of the list

$skip query optional integer

(v1.0) Number of items to skip from the list

$limit query optional integer

(v1.0) Number of items to return from the list

$filter query optional string

(v1.0) Filtering expression

$expand query optional array

(v1.0) Entities to expand

$select query optional array

(v1.0) Selected properties to be retrieved

Responses

200

(v1.0) Succesfully returned a list of customerPayments

GET /companies({company_id})/customerPaymentJournals({customerPaymentJournal_id})/customerPayments
POST /companies({company_id})/customerPaymentJournals({customerPaymentJournal_id})/customerPayments
operationId: CustomerPayment_createD365Object

Parameters

Name In Required Type Description
company_id path required string

(v1.0) id for company

customerPaymentJournal_id path required string

(v1.0) id for customerPaymentJournal

Request Body

application/json
schema CustomerPaymentCreateD365ObjectRequest

Responses

201

(v1.0) A new customerPayment has been succesfully created

POST /companies({company_id})/customerPaymentJournals({customerPaymentJournal_id})/customerPayments
DELETE /companies({company_id})/customerPaymentJournals({customerPaymentJournal_id})/customerPayments({customerPayment_id})
operationId: CustomerPayment_deleteObject

Parameters

Name In Required Type Description
company_id path required string

(v1.0) id for company

customerPaymentJournal_id path required string

(v1.0) id for customerPaymentJournal

customerPayment_id path required string

(v1.0) id for customerPayment

Responses

204

(v1.0) Succesfully deleted the specified customerPayment

DELETE /companies({company_id})/customerPaymentJournals({customerPaymentJournal_id})/customerPayments({customerPayment_id})
GET /companies({company_id})/customerPaymentJournals({customerPaymentJournal_id})/customerPayments({customerPayment_id})
operationId: CustomerPayment_getProperties

Parameters

Name In Required Type Description
company_id path required string

(v1.0) id for company

customerPaymentJournal_id path required string

(v1.0) id for customerPaymentJournal

customerPayment_id path required string

(v1.0) id for customerPayment

$expand query optional array

(v1.0) Entities to expand

$select query optional array

(v1.0) Selected properties to be retrieved

Responses

200

(v1.0) Succesfully returned the requested customerPayment

GET /companies({company_id})/customerPaymentJournals({customerPaymentJournal_id})/customerPayments({customerPayment_id})
PATCH /companies({company_id})/customerPaymentJournals({customerPaymentJournal_id})/customerPayments({customerPayment_id})
operationId: CustomerPayment_updateObject

Parameters

Name In Required Type Description
company_id path required string

(v1.0) id for company

customerPaymentJournal_id path required string

(v1.0) id for customerPaymentJournal

customerPayment_id path required string

(v1.0) id for customerPayment

If-Match header optional string

(v1.0) Required. When this request header is included and the eTag provided does not match the current tag on the entity, this will not be updated.

Request Body

application/json
schema CustomerPaymentCreateD365ObjectRequest

Responses

200

(v1.0) Succesfully updated the specifiedcustomerPayment

PATCH /companies({company_id})/customerPaymentJournals({customerPaymentJournal_id})/customerPayments({customerPayment_id})
GET /companies({company_id})/customerPayments
operationId: CustomerPayment_getList

Parameters

Name In Required Type Description
company_id path required string

(v1.0) id for company

$top query optional integer

(v1.0) Number of items to return from the top of the list

$skip query optional integer

(v1.0) Number of items to skip from the list

$limit query optional integer

(v1.0) Number of items to return from the list

$filter query optional string

(v1.0) Filtering expression

$expand query optional array

(v1.0) Entities to expand

$select query optional array

(v1.0) Selected properties to be retrieved

Responses

200

(v1.0) Succesfully returned a list of customerPayments

GET /companies({company_id})/customerPayments
POST /companies({company_id})/customerPayments
operationId: CustomerPayment_createDynamicsObject

Parameters

Name In Required Type Description
company_id path required string

(v1.0) id for company

Request Body

application/json
schema CustomerPaymentCreateD365ObjectRequest

Responses

201

(v1.0) A new customerPayment has been succesfully created

POST /companies({company_id})/customerPayments
DELETE /companies({company_id})/customerPayments({customerPayment_id})
operationId: CustomerPayment_deleteDynamicsObject

Parameters

Name In Required Type Description
company_id path required string

(v1.0) id for company

customerPayment_id path required string

(v1.0) id for customerPayment

Responses

204

(v1.0) Succesfully deleted the specified customerPayment

DELETE /companies({company_id})/customerPayments({customerPayment_id})
GET /companies({company_id})/customerPayments({customerPayment_id})
operationId: CustomerPayment_getProperties

Parameters

Name In Required Type Description
company_id path required string

(v1.0) id for company

customerPayment_id path required string

(v1.0) id for customerPayment

$expand query optional array

(v1.0) Entities to expand

$select query optional array

(v1.0) Selected properties to be retrieved

Responses

200

(v1.0) Succesfully returned the requested customerPayment

GET /companies({company_id})/customerPayments({customerPayment_id})
PATCH /companies({company_id})/customerPayments({customerPayment_id})
operationId: CustomerPayment_updateDynamicsObject

Parameters

Name In Required Type Description
company_id path required string

(v1.0) id for company

customerPayment_id path required string

(v1.0) id for customerPayment

If-Match header optional string

(v1.0) Required. When this request header is included and the eTag provided does not match the current tag on the entity, this will not be updated.

Request Body

application/json
schema CustomerPaymentCreateD365ObjectRequest

Responses

200

(v1.0) Succesfully updated the specifiedcustomerPayment

PATCH /companies({company_id})/customerPayments({customerPayment_id})

Customerpaymentjournal 5 endpoints

GET /companies({company_id})/customerPaymentJournals
operationId: CustomerPaymentJournal_getList

Parameters

Name In Required Type Description
company_id path required string

(v1.0) id for company

$top query optional integer

(v1.0) Number of items to return from the top of the list

$skip query optional integer

(v1.0) Number of items to skip from the list

$limit query optional integer

(v1.0) Number of items to return from the list

$filter query optional string

(v1.0) Filtering expression

$expand query optional array

(v1.0) Entities to expand

$select query optional array

(v1.0) Selected properties to be retrieved

Responses

200

(v1.0) Succesfully returned a list of customerPaymentJournals

GET /companies({company_id})/customerPaymentJournals
POST /companies({company_id})/customerPaymentJournals
operationId: CustomerPaymentJournal_createDynamicsObject

Parameters

Name In Required Type Description
company_id path required string

(v1.0) id for company

Request Body

application/json
schema CustomerPaymentJournalCreateDynamicsObjectRequest

Responses

201

(v1.0) A new customerPaymentJournal has been succesfully created

POST /companies({company_id})/customerPaymentJournals
DELETE /companies({company_id})/customerPaymentJournals({customerPaymentJournal_id})
operationId: CustomerPaymentJournal_deleteObject

Parameters

Name In Required Type Description
company_id path required string

(v1.0) id for company

customerPaymentJournal_id path required string

(v1.0) id for customerPaymentJournal

Responses

204

(v1.0) Succesfully deleted the specified customerPaymentJournal

DELETE /companies({company_id})/customerPaymentJournals({customerPaymentJournal_id})
GET /companies({company_id})/customerPaymentJournals({customerPaymentJournal_id})
operationId: CustomerPaymentJournal_getProperties

Parameters

Name In Required Type Description
company_id path required string

(v1.0) id for company

customerPaymentJournal_id path required string

(v1.0) id for customerPaymentJournal

$expand query optional array

(v1.0) Entities to expand

$select query optional array

(v1.0) Selected properties to be retrieved

Responses

200

(v1.0) Succesfully returned the requested customerPaymentJournal

GET /companies({company_id})/customerPaymentJournals({customerPaymentJournal_id})
PATCH /companies({company_id})/customerPaymentJournals({customerPaymentJournal_id})
operationId: CustomerPaymentJournal_updateObject

Parameters

Name In Required Type Description
company_id path required string

(v1.0) id for company

customerPaymentJournal_id path required string

(v1.0) id for customerPaymentJournal

If-Match header optional string

(v1.0) Required. When this request header is included and the eTag provided does not match the current tag on the entity, this will not be updated.

Request Body

application/json
schema CustomerPaymentJournalCreateDynamicsObjectRequest

Responses

200

(v1.0) Succesfully updated the specifiedcustomerPaymentJournal

PATCH /companies({company_id})/customerPaymentJournals({customerPaymentJournal_id})

Customersale 2 endpoints

GET /companies({company_id})/customerSales
operationId: CustomerSale_list

Parameters

Name In Required Type Description
company_id path required string

(v1.0) id for company

$top query optional integer

(v1.0) Number of items to return from the top of the list

$skip query optional integer

(v1.0) Number of items to skip from the list

$limit query optional integer

(v1.0) Number of items to return from the list

$filter query optional string

(v1.0) Filtering expression

$select query optional array

(v1.0) Selected properties to be retrieved

Responses

200

(v1.0) Succesfully returned a list of customerSales

GET /companies({company_id})/customerSales
GET /companies({company_id})/customerSales({customerSale_customerId},'{customerSale_customerNumber}','{customerSale_name}')
operationId: CustomerSale_getProperties

Parameters

Name In Required Type Description
company_id path required string

(v1.0) id for company

customerSale_customerId path required string

(v1.0) customerId for customerSale

customerSale_customerNumber path required string

(v1.0) customerNumber for customerSale

customerSale_name path required string

(v1.0) name for customerSale

$select query optional array

(v1.0) Selected properties to be retrieved

Responses

200

(v1.0) Succesfully returned the requested customerSale

GET /companies({company_id})/customerSales({customerSale_customerId},'{customerSale_customerNumber}','{customerSale_name}')

Defaultdimensions 25 endpoints

GET /companies({company_id})/customers({customer_id})/defaultDimensions
operationId: DefaultDimensions_getList

Parameters

Name In Required Type Description
company_id path required string

(v1.0) id for company

customer_id path required string

(v1.0) id for customer

$top query optional integer

(v1.0) Number of items to return from the top of the list

$skip query optional integer

(v1.0) Number of items to skip from the list

$limit query optional integer

(v1.0) Number of items to return from the list

$filter query optional string

(v1.0) Filtering expression

$expand query optional array

(v1.0) Entities to expand

$select query optional array

(v1.0) Selected properties to be retrieved

Responses

200

(v1.0) Succesfully returned a list of defaultDimensions

GET /companies({company_id})/customers({customer_id})/defaultDimensions
POST /companies({company_id})/customers({customer_id})/defaultDimensions
operationId: DefaultDimensions_createDynamicsObject

Parameters

Name In Required Type Description
company_id path required string

(v1.0) id for company

customer_id path required string

(v1.0) id for customer

Request Body

application/json
schema DefaultDimensionsCreateDynamicsObjectRequest

Responses

201

(v1.0) A new defaultDimensions has been succesfully created

POST /companies({company_id})/customers({customer_id})/defaultDimensions
DELETE /companies({company_id})/customers({customer_id})/defaultDimensions({defaultDimensions_parentId},{defaultDimensions_dimensionId})
operationId: DefaultDimensions_deleteObject

Parameters

Name In Required Type Description
company_id path required string

(v1.0) id for company

customer_id path required string

(v1.0) id for customer

defaultDimensions_parentId path required string

(v1.0) parentId for defaultDimensions

defaultDimensions_dimensionId path required string

(v1.0) dimensionId for defaultDimensions

Responses

204

(v1.0) Succesfully deleted the specified defaultDimensions

DELETE /companies({company_id})/customers({customer_id})/defaultDimensions({defaultDimensions_parentId},{defaultDimensions_dimensionId})
GET /companies({company_id})/customers({customer_id})/defaultDimensions({defaultDimensions_parentId},{defaultDimensions_dimensionId})
operationId: DefaultDimensions_getProperties

Parameters

Name In Required Type Description
company_id path required string

(v1.0) id for company

customer_id path required string

(v1.0) id for customer

defaultDimensions_parentId path required string

(v1.0) parentId for defaultDimensions

defaultDimensions_dimensionId path required string

(v1.0) dimensionId for defaultDimensions

$expand query optional array

(v1.0) Entities to expand

$select query optional array

(v1.0) Selected properties to be retrieved

Responses

200

(v1.0) Succesfully returned the requested defaultDimensions

GET /companies({company_id})/customers({customer_id})/defaultDimensions({defaultDimensions_parentId},{defaultDimensions_dimensionId})
PATCH /companies({company_id})/customers({customer_id})/defaultDimensions({defaultDimensions_parentId},{defaultDimensions_dimensionId})
operationId: DefaultDimensions_updateObject

Parameters

Name In Required Type Description
company_id path required string

(v1.0) id for company

customer_id path required string

(v1.0) id for customer

defaultDimensions_parentId path required string

(v1.0) parentId for defaultDimensions

defaultDimensions_dimensionId path required string

(v1.0) dimensionId for defaultDimensions

If-Match header optional string

(v1.0) Required. When this request header is included and the eTag provided does not match the current tag on the entity, this will not be updated.

Request Body

application/json
schema DefaultDimensionsCreateDynamicsObjectRequest

Responses

200

(v1.0) Succesfully updated the specifieddefaultDimensions

PATCH /companies({company_id})/customers({customer_id})/defaultDimensions({defaultDimensions_parentId},{defaultDimensions_dimensionId})
GET /companies({company_id})/defaultDimensions
operationId: DefaultDimensions_getList

Parameters

Name In Required Type Description
company_id path required string

(v1.0) id for company

$top query optional integer

(v1.0) Number of items to return from the top of the list

$skip query optional integer

(v1.0) Number of items to skip from the list

$limit query optional integer

(v1.0) Number of items to return from the list

$filter query optional string

(v1.0) Filtering expression

$expand query optional array

(v1.0) Entities to expand

$select query optional array

(v1.0) Selected properties to be retrieved

Responses

200

(v1.0) Succesfully returned a list of defaultDimensions

GET /companies({company_id})/defaultDimensions
POST /companies({company_id})/defaultDimensions
operationId: DefaultDimensions_createD365Object

Parameters

Name In Required Type Description
company_id path required string

(v1.0) id for company

Request Body

application/json
schema DefaultDimensionsCreateDynamicsObjectRequest

Responses

201

(v1.0) A new defaultDimensions has been succesfully created

POST /companies({company_id})/defaultDimensions
DELETE /companies({company_id})/defaultDimensions({defaultDimensions_parentId},{defaultDimensions_dimensionId})
operationId: DefaultDimensions_deleteObject

Parameters

Name In Required Type Description
company_id path required string

(v1.0) id for company

defaultDimensions_parentId path required string

(v1.0) parentId for defaultDimensions

defaultDimensions_dimensionId path required string

(v1.0) dimensionId for defaultDimensions

Responses

204

(v1.0) Succesfully deleted the specified defaultDimensions

DELETE /companies({company_id})/defaultDimensions({defaultDimensions_parentId},{defaultDimensions_dimensionId})
GET /companies({company_id})/defaultDimensions({defaultDimensions_parentId},{defaultDimensions_dimensionId})
operationId: DefaultDimensions_getProperties

Parameters

Name In Required Type Description
company_id path required string

(v1.0) id for company

defaultDimensions_parentId path required string

(v1.0) parentId for defaultDimensions

defaultDimensions_dimensionId path required string

(v1.0) dimensionId for defaultDimensions

$expand query optional array

(v1.0) Entities to expand

$select query optional array

(v1.0) Selected properties to be retrieved

Responses

200

(v1.0) Succesfully returned the requested defaultDimensions

GET /companies({company_id})/defaultDimensions({defaultDimensions_parentId},{defaultDimensions_dimensionId})
PATCH /companies({company_id})/defaultDimensions({defaultDimensions_parentId},{defaultDimensions_dimensionId})
operationId: DefaultDimensions_updateObject

Parameters

Name In Required Type Description
company_id path required string

(v1.0) id for company

defaultDimensions_parentId path required string

(v1.0) parentId for defaultDimensions

defaultDimensions_dimensionId path required string

(v1.0) dimensionId for defaultDimensions

If-Match header optional string

(v1.0) Required. When this request header is included and the eTag provided does not match the current tag on the entity, this will not be updated.

Request Body

application/json
schema DefaultDimensionsCreateDynamicsObjectRequest

Responses

200

(v1.0) Succesfully updated the specifieddefaultDimensions

PATCH /companies({company_id})/defaultDimensions({defaultDimensions_parentId},{defaultDimensions_dimensionId})
GET /companies({company_id})/employees({employee_id})/defaultDimensions
operationId: DefaultDimensions_getList

Parameters

Name In Required Type Description
company_id path required string

(v1.0) id for company

employee_id path required string

(v1.0) id for employee

$top query optional integer

(v1.0) Number of items to return from the top of the list

$skip query optional integer

(v1.0) Number of items to skip from the list

$limit query optional integer

(v1.0) Number of items to return from the list

$filter query optional string

(v1.0) Filtering expression

$expand query optional array

(v1.0) Entities to expand

$select query optional array

(v1.0) Selected properties to be retrieved

Responses

200

(v1.0) Succesfully returned a list of defaultDimensions

GET /companies({company_id})/employees({employee_id})/defaultDimensions
POST /companies({company_id})/employees({employee_id})/defaultDimensions
operationId: DefaultDimensions_createDynamicsObject

Parameters

Name In Required Type Description
company_id path required string

(v1.0) id for company

employee_id path required string

(v1.0) id for employee

Request Body

application/json
schema DefaultDimensionsCreateDynamicsObjectRequest

Responses

201

(v1.0) A new defaultDimensions has been succesfully created

POST /companies({company_id})/employees({employee_id})/defaultDimensions
DELETE /companies({company_id})/employees({employee_id})/defaultDimensions({defaultDimensions_parentId},{defaultDimensions_dimensionId})
operationId: DefaultDimensions_deleteD365Object

Parameters

Name In Required Type Description
company_id path required string

(v1.0) id for company

employee_id path required string

(v1.0) id for employee

defaultDimensions_parentId path required string

(v1.0) parentId for defaultDimensions

defaultDimensions_dimensionId path required string

(v1.0) dimensionId for defaultDimensions

Responses

204

(v1.0) Succesfully deleted the specified defaultDimensions

DELETE /companies({company_id})/employees({employee_id})/defaultDimensions({defaultDimensions_parentId},{defaultDimensions_dimensionId})
GET /companies({company_id})/employees({employee_id})/defaultDimensions({defaultDimensions_parentId},{defaultDimensions_dimensionId})
operationId: DefaultDimensions_getProperties

Parameters

Name In Required Type Description
company_id path required string

(v1.0) id for company

employee_id path required string

(v1.0) id for employee

defaultDimensions_parentId path required string

(v1.0) parentId for defaultDimensions

defaultDimensions_dimensionId path required string

(v1.0) dimensionId for defaultDimensions

$expand query optional array

(v1.0) Entities to expand

$select query optional array

(v1.0) Selected properties to be retrieved

Responses

200

(v1.0) Succesfully returned the requested defaultDimensions

GET /companies({company_id})/employees({employee_id})/defaultDimensions({defaultDimensions_parentId},{defaultDimensions_dimensionId})
PATCH /companies({company_id})/employees({employee_id})/defaultDimensions({defaultDimensions_parentId},{defaultDimensions_dimensionId})
operationId: DefaultDimensions_updateObject

Parameters

Name In Required Type Description
company_id path required string

(v1.0) id for company

employee_id path required string

(v1.0) id for employee

defaultDimensions_parentId path required string

(v1.0) parentId for defaultDimensions

defaultDimensions_dimensionId path required string

(v1.0) dimensionId for defaultDimensions

If-Match header optional string

(v1.0) Required. When this request header is included and the eTag provided does not match the current tag on the entity, this will not be updated.

Request Body

application/json
schema DefaultDimensionsCreateDynamicsObjectRequest

Responses

200

(v1.0) Succesfully updated the specifieddefaultDimensions

PATCH /companies({company_id})/employees({employee_id})/defaultDimensions({defaultDimensions_parentId},{defaultDimensions_dimensionId})
GET /companies({company_id})/items({item_id})/defaultDimensions
operationId: DefaultDimensions_getList

Parameters

Name In Required Type Description
company_id path required string

(v1.0) id for company

item_id path required string

(v1.0) id for item

$top query optional integer

(v1.0) Number of items to return from the top of the list

$skip query optional integer

(v1.0) Number of items to skip from the list

$limit query optional integer

(v1.0) Number of items to return from the list

$filter query optional string

(v1.0) Filtering expression

$expand query optional array

(v1.0) Entities to expand

$select query optional array

(v1.0) Selected properties to be retrieved

Responses

200

(v1.0) Succesfully returned a list of defaultDimensions

GET /companies({company_id})/items({item_id})/defaultDimensions
POST /companies({company_id})/items({item_id})/defaultDimensions
operationId: DefaultDimensions_createDynamicsObject

Parameters

Name In Required Type Description
company_id path required string

(v1.0) id for company

item_id path required string

(v1.0) id for item

Request Body

application/json
schema DefaultDimensionsCreateDynamicsObjectRequest

Responses

201

(v1.0) A new defaultDimensions has been succesfully created

POST /companies({company_id})/items({item_id})/defaultDimensions
DELETE /companies({company_id})/items({item_id})/defaultDimensions({defaultDimensions_parentId},{defaultDimensions_dimensionId})
operationId: DefaultDimensions_deleteObject

Parameters

Name In Required Type Description
company_id path required string

(v1.0) id for company

item_id path required string

(v1.0) id for item

defaultDimensions_parentId path required string

(v1.0) parentId for defaultDimensions

defaultDimensions_dimensionId path required string

(v1.0) dimensionId for defaultDimensions

Responses

204

(v1.0) Succesfully deleted the specified defaultDimensions

DELETE /companies({company_id})/items({item_id})/defaultDimensions({defaultDimensions_parentId},{defaultDimensions_dimensionId})
GET /companies({company_id})/items({item_id})/defaultDimensions({defaultDimensions_parentId},{defaultDimensions_dimensionId})
operationId: DefaultDimensions_getProperties

Parameters

Name In Required Type Description
company_id path required string

(v1.0) id for company

item_id path required string

(v1.0) id for item

defaultDimensions_parentId path required string

(v1.0) parentId for defaultDimensions

defaultDimensions_dimensionId path required string

(v1.0) dimensionId for defaultDimensions

$expand query optional array

(v1.0) Entities to expand

$select query optional array

(v1.0) Selected properties to be retrieved

Responses

200

(v1.0) Succesfully returned the requested defaultDimensions

GET /companies({company_id})/items({item_id})/defaultDimensions({defaultDimensions_parentId},{defaultDimensions_dimensionId})
PATCH /companies({company_id})/items({item_id})/defaultDimensions({defaultDimensions_parentId},{defaultDimensions_dimensionId})
operationId: DefaultDimensions_updateObject

Parameters

Name In Required Type Description
company_id path required string

(v1.0) id for company

item_id path required string

(v1.0) id for item

defaultDimensions_parentId path required string

(v1.0) parentId for defaultDimensions

defaultDimensions_dimensionId path required string

(v1.0) dimensionId for defaultDimensions

If-Match header optional string

(v1.0) Required. When this request header is included and the eTag provided does not match the current tag on the entity, this will not be updated.

Request Body

application/json
schema DefaultDimensionsCreateDynamicsObjectRequest

Responses

200

(v1.0) Succesfully updated the specifieddefaultDimensions

PATCH /companies({company_id})/items({item_id})/defaultDimensions({defaultDimensions_parentId},{defaultDimensions_dimensionId})
GET /companies({company_id})/vendors({vendor_id})/defaultDimensions
operationId: DefaultDimensions_getList

Parameters

Name In Required Type Description
company_id path required string

(v1.0) id for company

vendor_id path required string

(v1.0) id for vendor

$top query optional integer

(v1.0) Number of items to return from the top of the list

$skip query optional integer

(v1.0) Number of items to skip from the list

$limit query optional integer

(v1.0) Number of items to return from the list

$filter query optional string

(v1.0) Filtering expression

$expand query optional array

(v1.0) Entities to expand

$select query optional array

(v1.0) Selected properties to be retrieved

Responses

200

(v1.0) Succesfully returned a list of defaultDimensions

GET /companies({company_id})/vendors({vendor_id})/defaultDimensions
POST /companies({company_id})/vendors({vendor_id})/defaultDimensions
operationId: DefaultDimensions_createDynamicsObject

Parameters

Name In Required Type Description
company_id path required string

(v1.0) id for company

vendor_id path required string

(v1.0) id for vendor

Request Body

application/json
schema DefaultDimensionsCreateDynamicsObjectRequest

Responses

201

(v1.0) A new defaultDimensions has been succesfully created

POST /companies({company_id})/vendors({vendor_id})/defaultDimensions
DELETE /companies({company_id})/vendors({vendor_id})/defaultDimensions({defaultDimensions_parentId},{defaultDimensions_dimensionId})
operationId: DefaultDimensions_deleteObject

Parameters

Name In Required Type Description
company_id path required string

(v1.0) id for company

vendor_id path required string

(v1.0) id for vendor

defaultDimensions_parentId path required string

(v1.0) parentId for defaultDimensions

defaultDimensions_dimensionId path required string

(v1.0) dimensionId for defaultDimensions

Responses

204

(v1.0) Succesfully deleted the specified defaultDimensions

DELETE /companies({company_id})/vendors({vendor_id})/defaultDimensions({defaultDimensions_parentId},{defaultDimensions_dimensionId})
GET /companies({company_id})/vendors({vendor_id})/defaultDimensions({defaultDimensions_parentId},{defaultDimensions_dimensionId})
operationId: DefaultDimensions_getProperties

Parameters

Name In Required Type Description
company_id path required string

(v1.0) id for company

vendor_id path required string

(v1.0) id for vendor

defaultDimensions_parentId path required string

(v1.0) parentId for defaultDimensions

defaultDimensions_dimensionId path required string

(v1.0) dimensionId for defaultDimensions

$expand query optional array

(v1.0) Entities to expand

$select query optional array

(v1.0) Selected properties to be retrieved

Responses

200

(v1.0) Succesfully returned the requested defaultDimensions

GET /companies({company_id})/vendors({vendor_id})/defaultDimensions({defaultDimensions_parentId},{defaultDimensions_dimensionId})
PATCH /companies({company_id})/vendors({vendor_id})/defaultDimensions({defaultDimensions_parentId},{defaultDimensions_dimensionId})
operationId: DefaultDimensions_updateObject

Parameters

Name In Required Type Description
company_id path required string

(v1.0) id for company

vendor_id path required string

(v1.0) id for vendor

defaultDimensions_parentId path required string

(v1.0) parentId for defaultDimensions

defaultDimensions_dimensionId path required string

(v1.0) dimensionId for defaultDimensions

If-Match header optional string

(v1.0) Required. When this request header is included and the eTag provided does not match the current tag on the entity, this will not be updated.

Request Body

application/json
schema DefaultDimensionsCreateDynamicsObjectRequest

Responses

200

(v1.0) Succesfully updated the specifieddefaultDimensions

PATCH /companies({company_id})/vendors({vendor_id})/defaultDimensions({defaultDimensions_parentId},{defaultDimensions_dimensionId})

Dimension 2 endpoints

GET /companies({company_id})/dimensions
operationId: Dimension_getList

Parameters

Name In Required Type Description
company_id path required string

(v1.0) id for company

$top query optional integer

(v1.0) Number of items to return from the top of the list

$skip query optional integer

(v1.0) Number of items to skip from the list

$limit query optional integer

(v1.0) Number of items to return from the list

$filter query optional string

(v1.0) Filtering expression

$expand query optional array

(v1.0) Entities to expand

$select query optional array

(v1.0) Selected properties to be retrieved

Responses

200

(v1.0) Succesfully returned a list of dimensions

GET /companies({company_id})/dimensions
GET /companies({company_id})/dimensions({dimension_id})
operationId: Dimension_getProperties

Parameters

Name In Required Type Description
company_id path required string

(v1.0) id for company

dimension_id path required string

(v1.0) id for dimension

$expand query optional array

(v1.0) Entities to expand

$select query optional array

(v1.0) Selected properties to be retrieved

Responses

200

(v1.0) Succesfully returned the requested dimension

GET /companies({company_id})/dimensions({dimension_id})

Dimensionline 2 endpoints

GET /companies({company_id})/dimensionLines
operationId: DimensionLine_getList

Parameters

Name In Required Type Description
company_id path required string

(v1.0) id for company

$top query optional integer

(v1.0) Number of items to return from the top of the list

$skip query optional integer

(v1.0) Number of items to skip from the list

$limit query optional integer

(v1.0) Number of items to return from the list

$filter query optional string

(v1.0) Filtering expression

$expand query optional array

(v1.0) Entities to expand

$select query optional array

(v1.0) Selected properties to be retrieved

Responses

200

(v1.0) Succesfully returned a list of dimensionLines

GET /companies({company_id})/dimensionLines
POST /companies({company_id})/dimensionLines
operationId: DimensionLine_createD365Object

Parameters

Name In Required Type Description
company_id path required string

(v1.0) id for company

Request Body

application/json
schema DimensionLineCreateD365ObjectRequest

Responses

201

(v1.0) A new dimensionLine has been succesfully created

POST /companies({company_id})/dimensionLines
Load more endpoints